using System;

namespace Zadatak1_Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            int i, j, x, y;
            char a, b;
            string s;
            s = Console.ReadLine();
            x = Convert.ToInt32(Console.ReadLine());
            y = Convert.ToInt32(Console.ReadLine());
            j = x - y;
            switch (j)
            {
                case -1:
                    for (i = 0; i < x; i++)
                    {
                        Console.Write("{0}{1}", s[1], s[0]);
                    }
                    Console.Write(s[1]);
                    break;

                case 0:
                    for (i = 0; i < x; i++)
                    {
                        Console.Write("{0}{1}", s[1], s[0]);
                    }
                    break;

                case 1:
                    Console.Write(s[0]);
                    for (i = 0; i < y; i++)
                    {
                        Console.Write("{0}{1}", s[1], s[0]);
                    }
                    break;

                default:
                    Console.WriteLine("nemoguce");
                    break;
            }
        }
    }
}